org.gradle.tooling

## Class UnknownModelException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.tooling.GradleConnectionException
        - - org.gradle.tooling.UnsupportedVersionException
          - - org.gradle.tooling.UnknownModelException

- All Implemented Interfaces:
    Serializable

      public class UnknownModelException
      extends UnsupportedVersionException

  Thrown when the client is trying to acquire a model that is unknown to the Tooling API.

  The exception extends `UnsupportedVersionException` only for backwards compatibility reasons.

  Since:
    1.0-milestone-8
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnknownModelException(String message)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnknownModelException

          public UnknownModelException(String message)